import { Extension } from '@magic-sdk/react-native-bare';
import { OAuthRedirectConfiguration, OAuthRedirectResult } from './types';
export declare class OAuthExtension extends Extension.Internal<'oauth'> {
    name: "oauth";
    config: {};
    compat: {
        'magic-sdk': boolean;
        '@magic-sdk/react-native-bare': string;
        '@magic-sdk/react-native-expo': boolean;
        '@magic-sdk/react-native': boolean;
    };
    loginWithPopup(configuration: OAuthRedirectConfiguration): import("@magic-sdk/react-native-bare").PromiEvent<OAuthRedirectResult, {
        done: (result: OAuthRedirectResult) => void;
        error: (reason: any) => void;
        settled: () => void;
        "closed-by-user": () => void;
    }>;
}
export declare function createURI(this: OAuthExtension, configuration: OAuthRedirectConfiguration): Promise<{
    query: string | undefined;
    provider: import("./types").OAuthProvider;
    redirectURI: string;
}>;
export declare function getResult(this: OAuthExtension, queryString: string): import("@magic-sdk/react-native-bare").PromiEvent<OAuthRedirectResult, {
    done: (result: OAuthRedirectResult) => void;
    error: (reason: any) => void;
    settled: () => void;
    "closed-by-user": () => void;
}>;
export * from './types';
